Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005661TestLinkAPI - RESTpublic2013-04-25 19:082019-01-02 13:01
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version 
Summary0005661: REST API
DescriptionAll calls must check user rights

Scenario
Test project: name='Slim Rest Test', dbid=1

FIRST DRAFT - MUST CHANGE
GET lib/api/rest/v1/testprojects - get all test projects
GET lib/api/rest/v1/testprojects/1 - get test project with DBID=1
GET lib/api/rest/v1/testprojects/Slim%20Rest%20Test - get test project with name=Slim Rest Test (Notice: need to be urlencoded)




GET lib/api/rest/v1/testprojects/1/testplans/ - get all test plans for test project with DBID=1

GET lib/api/rest/v1/testplans/9 - get test plan with DBID=9
GET lib/api/rest/v1/testplans/9/builds - get all builds for test plan with DBID=9
GET lib/api/rest/v1/testplans/9/platforms/ - get all platforms for test plan with DBID=9
GET lib/api/rest/v1/testplans/9/testcases/ - get all test cases for test plan with DBID=9

GET lib/api/rest/v1/builds/5 - get build with DBID=5

POST
POST lib/api/rest/v1/testprojects/ will create a test project using
info provided on JSON format on REQUEST BODY.

POST lib/api/rest/v1/executions/ will create atest case execution using
info provided on JSON format on REQUEST BODY.


Additional Informationhttp://stackoverflow.com/questions/6609571/rest-api-development-for-a-complex-hierarchical-project [^]

https://restful-api-design.readthedocs.org/en/latest/urls.html [^]

http://stackoverflow.com/questions/7104578/rest-complex-composite-nested-resources [^]

http://www.peej.co.uk/articles/restfully-delicious.html [^]

https://github.com/caseysoftware/web2project-slim [^]

http://williamdurand.fr/2012/08/02/rest-apis-with-symfony2-the-right-way/ [^]

https://github.com/nelmio/NelmioApiDocBundle [^]

http://stackoverflow.com/questions/2602043/rest-api-best-practice-how-to-accept-as-input-a-list-of-parameter-values [^]

http://docs.atlassian.com/jira/REST/latest/ [^]
http://www.restapitutorial.com/lessons/restfulresourcenaming.html [^]

http://stackoverflow.com/questions/12445301/rest-api-get-resource-id-by-field [^]

http://developer.wordpress.com/docs/api/ [^]

http://stackoverflow.com/questions/14588452/rest-api-with-complex-queries [^]

http://broadcast.oreilly.com/2011/06/the-good-the-bad-the-ugly-of-rest-apis.html [^]

http://docs.marklogic.com/guide/rest-dev/intro#id_82354 [^]
http://docs.marklogic.com/guide/rest-dev/documents#id_56659 [^]

http://www.slideshare.net/fightmaster/handle-complex-postpatch-requests-in-restful-api [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0005606assignedfman Add either a restful based API or SOAP API Endpoint 
related to 0005665closedfman testproject class - method create() - interface changes + more features 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0018791)
fman (administrator)
2013-04-27 17:31

Usage examples:
https://gitorious.org/testlink-ga/testlink-tests [^]
(0018798)
fman (administrator)
2013-04-29 18:46
edited on: 2013-04-29 18:46

Authentication
Choice is to follow to some extent the redmine logic (this documentation
is an excerpt of redmine)

Authentication is done using your API key which is a handy way to avoid putting a password in a script.
The API key may be attached to each request in the following way:
passed in as a username with a random password via HTTP Basic authentication

(0024275)
strichenko (reporter)
2015-11-20 17:16
edited on: 2015-11-20 17:17

Hello,

Is there any way to get examples? Provided link is broken https://gitorious.org/testlink-ga/testlink-tests [^] [^]

(0024276)
fman (administrator)
2015-11-20 19:46

https://github.com/TestLinkOpenSourceTRMS [^]
(0028405)
schwarcu (reporter)
2019-01-02 10:55

Hello,
 on our TestLink installation the REST api path doesn't seem to work. We get response from apache "The requested URL /lib/api/rest/v2/testprojects was not found on this server."
How to enable rest api on existing TestLink installation? I can't find any documentation for this one.

XML-RPC API does work.
(0028406)
fman (administrator)
2019-01-02 13:01

1) Please, do not use this issue (vampirize it) to report an issue => open a new one.

2) REST API and XML-RPC API are different things, then if one works and the other no, this does not provide any hint.

3) ''We get response from apache "The requested URL /lib/api/rest/v2/testprojects was not found on this server."''
please get latest code code from github, do fresh install, retest & provide feedback

- Issue History
Date Modified Username Field Change
2013-04-25 19:08 fman New Issue
2013-04-25 19:08 fman Status new => assigned
2013-04-25 19:08 fman Assigned To => fman
2013-04-25 19:09 fman Description Updated View Revisions
2013-04-25 19:10 fman Description Updated View Revisions
2013-04-25 19:10 fman Relationship added related to 0005606
2013-04-25 19:19 fman Description Updated View Revisions
2013-04-25 19:19 fman Additional Information Updated View Revisions
2013-04-25 19:30 fman Additional Information Updated View Revisions
2013-04-25 19:36 fman Additional Information Updated View Revisions
2013-04-25 19:37 fman Additional Information Updated View Revisions
2013-04-25 19:41 fman Additional Information Updated View Revisions
2013-04-25 19:49 fman Additional Information Updated View Revisions
2013-04-25 19:52 fman Additional Information Updated View Revisions
2013-04-25 19:54 fman Additional Information Updated View Revisions
2013-04-26 15:20 fman Description Updated View Revisions
2013-04-26 15:35 fman Additional Information Updated View Revisions
2013-04-26 15:38 fman Additional Information Updated View Revisions
2013-04-26 15:44 fman Additional Information Updated View Revisions
2013-04-26 16:11 fman Description Updated View Revisions
2013-04-26 16:11 fman Description Updated View Revisions
2013-04-26 16:12 fman Additional Information Updated View Revisions
2013-04-27 10:15 fman Relationship added related to 0005665
2013-04-27 17:31 fman Note Added: 0018791
2013-04-27 17:32 fman Product Version => 1.9.6 (2013 Q1 - bug fixing)
2013-04-28 09:07 fman Description Updated View Revisions
2013-04-29 18:46 fman Note Added: 0018798
2013-04-29 18:46 fman Note Edited: 0018798 View Revisions
2013-05-12 16:51 fman Additional Information Updated View Revisions
2013-05-12 16:54 fman Additional Information Updated View Revisions
2013-05-12 16:56 fman Additional Information Updated View Revisions
2013-05-12 17:00 fman Additional Information Updated View Revisions
2013-05-12 17:51 fman Relationship added parent of 0005706
2013-05-12 17:51 fman Additional Information Updated View Revisions
2015-11-20 17:16 strichenko Note Added: 0024275
2015-11-20 17:17 strichenko Note Edited: 0024275 View Revisions
2015-11-20 19:46 fman Note Added: 0024276
2016-06-08 11:16 nitramf Note Added: 0024947
2016-06-08 15:16 fman Note Deleted: 0024947
2019-01-02 10:55 schwarcu Note Added: 0028405
2019-01-02 13:01 fman Note Added: 0028406



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker